# This is the CRAN name
%global packname FactoMineR
# This is the main package version
%global packver 1.42
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        %{packver}
Release:        0.sles15.lc
Summary:        Multivariate Exploratory Data Analysis and Data Mining

Group:          Development/Libraries/Other
License:        GPL-2.0+
URL:            http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:        %{packname}_%{packver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires: R-base-devel tex(latex) R-ellipse R-scatterplot3d R-leaps R-car R-flashClust
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

Requires:       R-base R-ellipse R-scatterplot3d R-leaps R-car R-flashClust

%description
R package:
Exploratory data analysis methods to summarize, visualize and describe datasets. The main principal component methods are available, those with the largest potential in terms of applications: principal component analysis (PCA) when variables are quantitative, correspondence analysis (CA) and multiple correspondence analysis (MCA) when variables are categorical, Multiple Factor Analysis when variables are structured in groups, etc. and hierarchical cluster analysis. F. Husson, S. Le and J. Pages (2017).

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/doc
%{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help

%changelog
* Wed Jul 17 2024 Stuart Raeburn <raeburn@loncapa.org> (1.42-0)
- Initial build for R 4.4.1
